<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: checksum_fletcher16/fletcher16_checksum.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d87f854232f1577cdc978f1f2c5b32a9.html">checksum_fletcher16</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">fletcher16_checksum.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="fletcher16__checksum_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef FLETCHER16_CHECKSUM_H</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#define FLETCHER16_CHECKSUM_H</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">//#define FLETCHER16_CHECKSUM_HEADER_ONLY</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#ifdef FLETCHER16_CHECKSUM_HEADER_ONLY</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#define FLETCHER16_CHECKSUM_SPEC static inline</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="fletcher16__checksum_8h.html#a5267969d80d0667388d770df29df1ce3">   18</a></span>&#160;<span class="preprocessor">#define FLETCHER16_CHECKSUM_SPEC</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<a class="code" href="fletcher16__checksum_8h.html#a5267969d80d0667388d770df29df1ce3">FLETCHER16_CHECKSUM_SPEC</a> <span class="keywordtype">void</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<a class="code" href="fletcher16__checksum_8h.html#a096c0b1d875a37df911d56d1f44f5dac">fletcher16_checksum</a>(uint8_t c0_init, uint8_t c1_init, uint8_t* data,</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;                    uint32_t length, uint8_t* c0_result, uint8_t* c1_result);</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#ifdef FLETCHER16_CHECKSUM_HEADER_ONLY</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="fletcher16__checksum_8c.html">fletcher16_checksum.c</a>&quot;</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="fletcher16__checksum_8h_html_a5267969d80d0667388d770df29df1ce3"><div class="ttname"><a href="fletcher16__checksum_8h.html#a5267969d80d0667388d770df29df1ce3">FLETCHER16_CHECKSUM_SPEC</a></div><div class="ttdeci">#define FLETCHER16_CHECKSUM_SPEC</div><div class="ttdef"><b>Definition:</b> fletcher16_checksum.h:18</div></div>
<div class="ttc" id="fletcher16__checksum_8h_html_a096c0b1d875a37df911d56d1f44f5dac"><div class="ttname"><a href="fletcher16__checksum_8h.html#a096c0b1d875a37df911d56d1f44f5dac">fletcher16_checksum</a></div><div class="ttdeci">FLETCHER16_CHECKSUM_SPEC void fletcher16_checksum(uint8_t c0_init, uint8_t c1_init, uint8_t *data, uint32_t length, uint8_t *c0_result, uint8_t *c1_result)</div><div class="ttdef"><b>Definition:</b> fletcher16_checksum.c:9</div></div>
<div class="ttc" id="fletcher16__checksum_8c_html"><div class="ttname"><a href="fletcher16__checksum_8c.html">fletcher16_checksum.c</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
